const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v6_d = z.y * z.y;
    v6_11 = z.x * z.x # bp+11;
    v4_15 = v6_d + v6_11 # bp+15;
    v3_17 = z.z # bp+17;
    st4_global_2d_to_2d_local = fabsl(v3_17) # st4;
    *v3_17 = (v3_17 * v3_17 - v4_15) * *((arg1[48] - 16)) + j.z;
    v4_2f = 2 * st4_global_2d_to_2d_local / sqrtl(v4_15);
    *z.y = 2 * v4_2f * z.x * z.y + j.y;
    *z.x = v4_2f * (v6_11 - v6_d) + j.x;
    return z.x;


	}